package w83b.w83bDAO;

public interface W83bIBandejaEntradaDAO {
	
	/**
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public java.util.List busquedaBandejaEntrada(w83b.w83bBeans.W83bPreavisosBean param)throws Exception;
	
	public w83b.w83bBeans.W83bPreavisosBean buscarDetallePreaviso(java.util.HashMap param)throws Exception;
	
	public java.lang.String modificarEstadoPreaviso(w83b.w83bBeans.W83bPreavisosBean param, String estado)throws Exception;
	
	public java.lang.String anyadirPreavisos(w83b.w83bBeans.W83bPreavisosBean param)throws Exception;
	
	/**
	 * Anyadir promotores.
	 * 
	 * @param param the param
	 * @throws Exception the exception
	 */
	public void anyadirPromotores (w83b.w83bBeans.W83bPreavisosBean  param) throws Exception;
	
	
	
	/**
	 * Anyadir historial tramitacion.
	 * 
	 * @param param the param
	 * @throws Exception the exception
	 */
	public void anyadirHistorialTramitacion (w83b.w83bBeans.W83bPreavisosBean  param,String fase, String tramite,String fechaRegistro) throws Exception;
	
	/**
	 * Insertar preaviso original.
	 * 
	 * @param param the param
	 * @throws Exception the exception
	 */
	public void insertarPreavisoOriginal (w83b.w83bBeans.W83bPreavisosBean  param) throws Exception;
	
	public java.lang.String insertarPreavisoModificado(w83b.w83bBeans.W83bPreavisosBean param, String estado, String tipo)throws Exception;
	
	public String verSiLoteCompleto(w83b.w83bBeans.W83bPreavisosBean param)throws Exception;
	
	public java.util.List buscarPreavisosVueltaTratados(w83b.w83bBeans.W83bPreavisosBean param)throws Exception;
	
	public java.lang.String insertarFicheroVuelta(w83b.w83bBeans.W83bDocBean param) throws Exception;
	
	public w83b.w83bBeans.W83bLotesPreavisosBean generarNotificaciones(w83b.w83bBeans.W83bLotesPreavisosBean param) throws Exception;
	
	public void modificarCampoTratado(w83b.w83bBeans.W83bLotesPreavisosBean param) throws Exception;
	
}
